<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-order-notaris-heading" data-cy="OrderNotarisCreateUpdateHeading">Create or edit a Order Notaris</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_tanggal">Tanggal</label>
          <div class="input-group">
            <input
              id="field_tanggal"
              data-cy="tanggal"
              type="text"
              class="form-control"
              name="tanggal"
              ngbDatepicker
              #tanggalDp="ngbDatepicker"
              formControlName="tanggal"
            />
            <button type="button" class="btn btn-secondary" (click)="tanggalDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_status">Status</label>
          <input type="number" class="form-control" name="status" id="field_status" data-cy="status" formControlName="status" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_orderData">Order Data</label>
          <select
            class="form-control"
            id="field_orderData"
            data-cy="orderData"
            name="orderData"
            formControlName="orderData"
            [compareWith]="compareOrderData"
          >
            <option [ngValue]="null"></option>
            @for (orderDataOption of orderDataSharedCollection; track $index) {
              <option [ngValue]="orderDataOption">{{ orderDataOption.id }}</option>
            }
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_notaris">Notaris</label>
          <select
            class="form-control"
            id="field_notaris"
            data-cy="notaris"
            name="notaris"
            formControlName="notaris"
            [compareWith]="compareNotaris"
          >
            <option [ngValue]="null"></option>
            @for (notarisOption of notarisesSharedCollection; track $index) {
              <option [ngValue]="notarisOption">{{ notarisOption.id }}</option>
            }
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_akta">Akta</label>
          <select class="form-control" id="field_akta" data-cy="akta" name="akta" formControlName="akta" [compareWith]="compareAkta">
            <option [ngValue]="null"></option>
            @for (aktaOption of aktasSharedCollection; track $index) {
              <option [ngValue]="aktaOption">{{ aktaOption.id }}</option>
            }
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_orderKerja">Order Kerja</label>
          <select
            class="form-control"
            id="field_orderKerja"
            data-cy="orderKerja"
            name="orderKerja"
            formControlName="orderKerja"
            [compareWith]="compareOrderKerja"
          >
            <option [ngValue]="null"></option>
            @for (orderKerjaOption of orderKerjasSharedCollection; track $index) {
              <option [ngValue]="orderKerjaOption">{{ orderKerjaOption.id }}</option>
            }
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
